all:
  deepstrom_real:
  deepstrom_learned:

base:
  epoch_numbers: {"-e": [50]}
  batch_sizes: {"-s": [64]}
  val_size: {"-v": [10000]}
  seed: {"-a": "range(5)"}
  dataset: ["--cifar100"]
  fusing: {"-f": ["concat"]}
  cut_layer: {"-B": ["block3_pool"]}
  wafter: ["--w-after", ""]
  quiet: ["-q"]

deepstrom_base:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [16, 64, 128, 256, 512]}

deepstrom_real:
  deepstrom_base:
  real_nys: ["-r"]
  kernel: ["-Z"]
  degree: {"-y": [3]}

deepstrom_learned:
  deepstrom_base:
  kernel: ["-Z"]
  degree: {"-y": [3]}

